public class Arbeiter extends Mitarbeiter
{
    private int    anzahlStundenWoche;
    private double stundenLohn;

    public Arbeiter(String name, int alter, int dienstjahre, int anzahlStundenWoche, double stundenLohn)
    {
        super(name, alter, dienstjahre);
        setAnzahlStundenWoche(anzahlStundenWoche);
        setStundenLohn(stundenLohn);
    }

    @Override
    public void setAlter(int alter)
    {
        if ((alter >= 22) && (alter <= 60))
        {
            this.alter = alter;
        }
        else
        {
            System.out.println("Fehler: ungültiges Alter!");
            this.alter = 25;
        }
    }

    @Override
    public double getGeldMonat()
    {
        return 4.3 * (anzahlStundenWoche * stundenLohn);
    }

    @Override
    public double getGeldMonat40Stunden()
    {
        return 4.3 * (40 * stundenLohn);
    }

    public int getAnzahlStundenWoche()
    {
        return anzahlStundenWoche;
    }

    public void setAnzahlStundenWoche(int anzahlStundenWoche)
    {
        this.anzahlStundenWoche = anzahlStundenWoche;
    }

    public double getStundenLohn()
    {
        return stundenLohn;
    }

    public void setStundenLohn(double stundenLohn)
    {
        this.stundenLohn = stundenLohn;
    }

    @Override
    public String toString()
    {
        String erg;

        erg = "Arbeiter " + super.toString();
        erg = erg + " " + anzahlStundenWoche + " Stunden " + stundenLohn + " EUR/Stunde";
        return erg;
    }
}
