import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class TestMitarbeiter
{
    @Test
    public void testSetAlterArbeiter()
    {
        Arbeiter max, fritz, franz;

        max   = new Arbeiter("Max",   21, 5, 10, 33); //Fehler
        fritz = new Arbeiter("Fritz", 61, 5, 10, 33); //Fehler
        franz = new Arbeiter("Franz", 26, 5, 10, 33);
        assertEquals(25, max.getAlter());
        assertEquals(25, fritz.getAlter());
        assertEquals(26, franz.getAlter());
    }

    @Test
    public void testSetAlterAngestellter()
    {
        Angestellter max, fritz, franz;

        max   = new Angestellter("Max",   15, 1,  100, 1800); //Fehler
        fritz = new Angestellter("Fritz", 66, 25, 50,  2800); //Fehler
        franz = new Angestellter("Franz", 26, 5,  100, 3300);
        assertEquals(25, max.getAlter());
        assertEquals(25, fritz.getAlter());
        assertEquals(26, franz.getAlter());
    }

    @Test
    public void testToStringArbeiter()
    {
        Arbeiter max;

        max = new Arbeiter("Max", 26, 5, 10, 33);
        System.out.println(max);
    }

    @Test
    public void testToStringAngestellter()
    {
        Angestellter susi;

        susi = new Angestellter("Susi", 33, 2, 50, 2000);
        System.out.println(susi);
    }

    @Test
    public void testGetGeldMonat()
    {
        Angestellter susi;
        Arbeiter max;

        susi  = new Angestellter("Susi", 33, 2, 50, 2000);
        max   = new Arbeiter("Max",      24, 5, 10, 33); //Fehler
        assertEquals(2000, susi.getGeldMonat(), 0.1);
        assertEquals(1419, max.getGeldMonat(), 0.1);
    }

    @Test
    public void testGetGeldMonat40Stunden()
    {
        Angestellter susi;
        Arbeiter max;

        susi  = new Angestellter("Susi", 33, 2, 40, 2000);
        max   = new Arbeiter("Max",      24, 5, 10, 33); //Fehler
        assertEquals(5000, susi.getGeldMonat40Stunden(), 0.1);
        assertEquals(5676, max.getGeldMonat40Stunden(), 0.1);
    }

    /*
    @Test
    public void testToStringMitarbeiter()
    {
        Mitarbeiter thomas;

        thomas = new Mitarbeiter("Thomas", 51, 25);
        System.out.println(thomas);
    }
    */
}